GET /nodes/{node_id}/wikis/

osf.io

Summary: List all wikis
Operation ID: nodes_wikis_list
Auth: unknown
Description

List of wiki pages on a node. #### Returns Paginated list of the node's current wiki page versions ordered by their date_modified. Each resource contains the full representation of the wiki, meaning additional requests to an individual wiki's detail view are not necessary. Note that if an anonymous view_only key is being used, the user relationship will not be exposed. If the request is unsuccessful, a JSON object with an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed. #### Filtering Wiki pages can be filtered based on their `name` and `date_modified` fields. + `filter[name]=<Str>` -- filter wiki pages by name + `filter[date_modified][comparison_operator]=YYYY-MM-DDTH:M:S` -- filter wiki pages based on date modified. Possible comparison operators include 'gt' (greater than), 'gte'(greater than or equal to), 'lt' (less than) and 'lte' (less than or equal to). The date must be in the format YYYY-MM-DD and the time is optional.

Parameters (1)

node_id (string, path, required)

The unique identifier of the node.

No probe data for this endpoint yet.